Package com.databricks.jdbc.model.client.thrift.generated

## Class TMapTypeEntry

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TMapTypeEntry

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TMapTypeEntry>`, `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TMapTypeEntry
    extends Object
    implements org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>, Serializable, Cloneable, Comparable<TMapTypeEntry>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TMapTypeEntry._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `keyTypePtr`
`static Map<TMapTypeEntry._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `valueTypePtr`

### Constructor Summary

Constructors
`TMapTypeEntry()`
`TMapTypeEntry​(int keyTypePtr, int valueTypePtr)`
`TMapTypeEntry​(TMapTypeEntry other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TMapTypeEntry other)`
`TMapTypeEntry` `deepCopy()`
`boolean` `equals​(TMapTypeEntry that)`
`boolean` `equals​(Object that)`
`TMapTypeEntry._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TMapTypeEntry._Fields field)`
`int` `getKeyTypePtr()`
`int` `getValueTypePtr()`
`int` `hashCode()`
`boolean` `isSet​(TMapTypeEntry._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetKeyTypePtr()` Returns true if field keyTypePtr is set (has been assigned a value) and false otherwise
`boolean` `isSetValueTypePtr()` Returns true if field valueTypePtr is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TMapTypeEntry._Fields field, Object value)`
`TMapTypeEntry` `setKeyTypePtr​(int keyTypePtr)`
`void` `setKeyTypePtrIsSet​(boolean value)`
`TMapTypeEntry` `setValueTypePtr​(int valueTypePtr)`
`void` `setValueTypePtrIsSet​(boolean value)`
`String` `toString()`
`void` `unsetKeyTypePtr()`
`void` `unsetValueTypePtr()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### keyTypePtr

    public int keyTypePtr

#### valueTypePtr

    public int valueTypePtr

#### metaDataMap

    public static final Map<TMapTypeEntry._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TMapTypeEntry

    public TMapTypeEntry()

#### TMapTypeEntry

    public TMapTypeEntry​(int keyTypePtr,
                         int valueTypePtr)

#### TMapTypeEntry

    public TMapTypeEntry​(TMapTypeEntry other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TMapTypeEntry deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`

#### getKeyTypePtr

    public int getKeyTypePtr()

#### setKeyTypePtr

    public TMapTypeEntry setKeyTypePtr​(int keyTypePtr)

#### unsetKeyTypePtr

    public void unsetKeyTypePtr()

#### isSetKeyTypePtr

    public boolean isSetKeyTypePtr()

Returns true if field keyTypePtr is set (has been assigned a value) and false otherwise

#### setKeyTypePtrIsSet

    public void setKeyTypePtrIsSet​(boolean value)

#### getValueTypePtr

    public int getValueTypePtr()

#### setValueTypePtr

    public TMapTypeEntry setValueTypePtr​(int valueTypePtr)

#### unsetValueTypePtr

    public void unsetValueTypePtr()

#### isSetValueTypePtr

    public boolean isSetValueTypePtr()

Returns true if field valueTypePtr is set (has been assigned a value) and false otherwise

#### setValueTypePtrIsSet

    public void setValueTypePtrIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TMapTypeEntry._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`

#### getFieldValue

    public Object getFieldValue​(TMapTypeEntry._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`

#### isSet

    public boolean isSet​(TMapTypeEntry._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TMapTypeEntry that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TMapTypeEntry other)

Specified by:
  `compareTo` in interface `Comparable<TMapTypeEntry>`

#### fieldForId

    public TMapTypeEntry._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TMapTypeEntry,​TMapTypeEntry._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`